# IO_Effect.cpp File Reference

`#include <osgFX/Effect>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_Effect.cpp:

## Functions

bool | Effect_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | Effect_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | Effect_Proxy (0,"osgFX::Effect","Object Node Group osgFX::Effect", Effect_readLocalData, Effect_writeLocalData)

## Function Documentation

bool Effect_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool Effect_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy Effect_Proxy(0,"osgFX::Effect","Object Node Group osgFX::Effect", Effect_readLocalData, Effect_writeLocalData)